.post-setting-inner .post-setting-tab ul {
    display: none;
}
.post-setting-inner {
    padding: 14px 20px;
    padding: 0;
    position: relative;
}
.post-setting-inner .post-setting-tab ul {
    display: block;
    position: absolute;
    background: #2d2d2d;
    position: absolute;
    list-style: none;
    padding: 20px;
    /* CONTAIN-INTRINSIC-BLOCK-SIZE: AUTO 100PX; */
    border-radius: 35px;
    bottom: 6px;
    margin-bottom: 0;
    left: 119px;
    transform: scale(0.7);
    transform-origin: left bottom;
    opacity: 0;
    visibility: hidden;
    transition: all 0.2s ease;
    border: 1px solid #282828;
    background: #181818;
    padding: 0;
}

.post-setting-inner .post-setting-tab ul li a span {
    color: #fff;
    font-size: 14px;
}
.post-setting-inner .post-setting-tab ul label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 0;
}
.post-setting-inner .post-setting-tab ul label div:first-child {
    max-width: 85%;
}

.post-setting-tab {
    cursor: pointer;
    /* font-weight: 700; */
    font-weight: 500;
    font-size: 14px;
    color: #757575;
}
.post-setting-tab span.icon-invert > img {
    opacity: 0.5;
}

.post-setting-inner .post-setting-tab img {
    width: 20px;
    filter: invert(1) brightness(0.8);
    float: left;
    margin-top: 0px;
    margin-right: 5px;
}
.post-setting-inner .post-setting-tab ul {
    width: 280px;
    max-width: 280px;   
    padding-bottom: 10px;
    padding-top: 8px;
}
.post-setting-tab li {
    border-bottom: 1px solid #282828;
    margin-bottom: 0;
    padding-bottom: 12px;
    padding: 13px 20px;
    margin-top: 0 !important;
}
.post-setting-tab .radio-check input {
    display: none;
}
.post-setting-tab .radio-check input:checked + .checkmark {
    opacity: 1;
}

.post-setting-tab .radio-check input:checked + .checkmark {
    display: block;
}
.post-setting-tab input:checked + span {
    filter: drop-shadow(0 0 4px rgba(0, 255, 150, 0.6));
}
.post-setting-tab ul p {
    font-size: 12px;
    font-weight: 400;
    margin-bottom: 0;
    line-height: 14px;
    margin-top: 2px;
    color: #adadad;
    padding-left: 0;
}
.post-setting-tab .checkmark {
    opacity: 0;
    transition: 0.2s;
}
.post-setting-tab li.toggles label span {
    font-size: 14px;
    font-weight: 600;
    color: #adadad;
}

.post-setting-tab .toggle-switch {
    position: relative;
    width: 46px;
    /* height: 26px; */
    height: 22px;
}
.post-setting-tab .toggle-switch input {
    display: none;
}
.post-setting-tab .slider:before {
    content: "";
    position: absolute;
    height: 18px;
    width: 18px;
    left: 3px;
    top: 2px;
    background: white;
    border-radius: 50%;
    transition: 0.3s;
}
.post-setting-tab .toggle-switch input:checked + .slider:before {
    transform: translateX(22px);
    background: #fff;
}
.post-setting-tab .toggle-switch input:checked + .slider {
    /* background: #ffffff; */
    background: #50c855;
}
.post-setting-tab input:checked + span {
    filter: drop-shadow(0 0 4px rgba(0, 255, 150, 0.6));
}

.post-setting-tab .slider {
    box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.4);
}
.post-setting-tab .slider {
    position: absolute;
    cursor: pointer;
    inset: 0;
    background: #3a3a3a;
    border-radius: 20px;
    transition: 0.3s;
}
.post-setting-tab li.toggles {
    border-bottom: none;
    padding: 10px 20px;
}
@keyframes fill {
  100% {
     box-shadow: none; 
  }
}
.post-setting-tab .checkmark{
    position: static;
    background: none;
    width: auto;
    height: auto;
}
.post-setting-inner .post-setting-tab ul.showMe {
    opacity: 1;
    visibility: visible;
    transform: scale(1.0);
}
.draft-switcher a.active {
    background: #fff;
}
.draft-switcher {
    margin: 10px 15px 15px !important;
}
.saved-draft-list {
    padding: 0;
    height: 500px;
    overflow-y: auto;
}
.saved-draft-outer .draft-inner .single-saved-draft:last-child {
    border: none;
}
.saved-draft-outer .draft-inner .single-saved-draft {
    padding: 20px 0;
    border-bottom: 1px solid #282828;
}
 .saved-draft-list .post-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}
.saved-draft-list .post-icon {
    width: 40px;
    height: 40px;
}
.post-user-details {
    cursor: pointer;
}

.post-user-details {
    display: flex;
    color: #fff;
    gap: 10px;
    align-items: center;
}
.saved-draft-list .days {
    text-align: left;
    border: none;
    display: inline-block;
    padding: 8px 20px;
    border-radius: 15px;
    cursor: pointer;
    position: static;
    left: 50%;
    transform: none;
    padding-right: 0;
    padding: 0;
}
.single-saved-draft .post-menu ul {
    padding: 0;
    position: absolute;
    list-style: none;
    background: #191919e6;
    background: #181818;
    border: 1px solid #282828;
    padding: 0px;
    width: 200px;
    /* right: 0; */
    /* top: 23px; */
    border-radius: 25px;
    margin-bottom: 0;
    transform: scale(0.5);
    transform-origin: right top;
    transition: all 0.2s ease;
    opacity: 0;
    margin-left: -188px;
    z-index: 7;
    visibility: hidden;
    overflow: hidden;
    backdrop-filter: blur(14px);
    -webkit-backdrop-filter: blur(14px);
}
.saved-draft-outer {
    margin-top: 115px;
}
.saved-draft-outer .post-menu a {
    width: 20px;
    display: block;
}
.post-top-info {
    display: flex;
    gap: 5px;
}
.draft-switcher {
    width: auto;
}

input#scheduleDateInp {
    position: absolute;
    top: 9px;
    width: 30px;
     opacity: 0; 
    z-index: 9;
}
.flatpickr-calendar{
    background: #000000;
}
.flatpickr-day.flatpickr-disabled {
    color: rgb(223 223 223 / 43%) !important;
}
span.flatpickr-weekday {
    color: rgb(255 255 255 / 54%) !important;
}
.flatpickr-current-month {
    color: rgb(255 255 255 / 90%);
    padding: 6px 0;
}
.flatpickr-calendar {
    box-shadow: none !important;
    background: #181818 !important;
}
.flatpickr-time.time24hr {
    background: #222 !important;
}
.flatpickr-current-month .flatpickr-monthDropdown-months {
    appearance: none !important;
    /* width: auto !important; */
    max-width: none !important;
    color: #ccc !important;
    font-size: 14px !important;
}
.flatpickr-current-month input.cur-year {
    color: #ccc !important;
    font-size: 13px !important;
}
.flatpickr-months .flatpickr-prev-month svg, .flatpickr-months .flatpickr-next-month svg {
    float: left;
}
.flatpickr-months .flatpickr-prev-month, .flatpickr-months .flatpickr-next-month {
    color: #fff !important;
    fill: #fff !important;
}

.flatpickr-day {
    color: #626262 !important;
}
.flatpickr-day.nextMonthDay {
    color: rgb(148 148 148 / 30%) !important;
}
.flatpickr-calendar.hasTime .flatpickr-time {
    border-top: none !important;
    background: #181818 !important;
}
.flatpickr-calendar.hasTime .flatpickr-time {
    height: 40px;
    border-top: none;
    background: #151313 !important;
    margin: 0 10px 10px;
    border-radius: 15px;
    color: #ccc !important;
}
.flatpickr-day:hover {
    cursor: pointer;
    outline: 0;
    background: #8a8a8a2b;
    border-color: #9a8f8f00;
}
.flatpickr-time input {
    color: #898989 !important;
}
.flatpickr-time input:hover{
    background: #eeeeee00 !important;
}
.schedule-date {
    background: #46444470;
    color: #bdbdbd;
    display: flex;
    gap: 5px;
    font-size: 12px;
    padding: 10px 13px;
    border-radius: 10px;
    margin: 0;
    margin-bottom: 10px;
    justify-content: space-between;
}
#social-popup .add-post-inside, #repost-popup .add-post-inside {
    padding: 20px 20px !important;
}
#social-popup .add-post-inside {
        padding-right: 20px !important;
    }
button#scheduled-time-div-close {
    background: none !important;
    box-shadow: none !important;
    border: none;
}
    
button#scheduled-time-div-close svg {
    margin: 0;
    opacity: 0.5;
    width: 15px;
}
.flatpickr-current-month .flatpickr-monthDropdown-months .flatpickr-monthDropdown-month {
    color: #000 !important;
}
.flatpickr-months .flatpickr-next-month:hover svg {
    fill: #e9e9e9;
}
.flatpickr-time input:focus {
    background: transparent !important;
}
div#draft-box h3 {
    border-bottom: 1px solid #3241585c;
    padding: 10px 25px;
}
.saved-draft-list .post-header{border-bottom: none !important;}
.saved-draft-list .draft-content p {
    color: #fff;
}
div#draft-box h3 {
    border-bottom: 1px solid #3241585c;
    padding: 10px 25px;
    padding-top: 0;
    padding-bottom: 16px;
    margin-top: -3px;
}
.draft-switcher {
    width: auto;
    margin-top: 0 !important;
}


span.alt-icon {
    background: #ffffff00;
    color: #fff !important;
    font-size: 11px !important;
}
.embedlink-box-opened {
     height: auto !important; 
     max-height: inherit !important; 
     overflow: inherit !important; 
}

#embed-link .embed-inner .add-alt-media img {
    max-height: 330px;
    border-radius: 20px;
}

div#embed-link {
    border-radius: 40px !important;
}
#social-popup div#embed-link button.copy-embed:disabled {
    border-radius: 38px !important;
}
#social-popup div#embed-link .input-embed input {
    border-radius: 40px !important;
}

@media screen and (min-width: 768px) {
    #social-popup .swiper-wrapper.singleImage-added .swiper-slide img {
        height: auto !important;
        width: 100% !important;
        width: 100% !important;
        min-width: 100% !important;
        object-fit: cover !important;
        max-height: 280px !important;
        height: 280px;
    }
   
    #social-popup .swiper-wrapper.singleImage-added .swiper-slide {
        width: auto !important;
        margin: 0 !important;
    }    
}